# #
# Software subject to following license(s):
#   Apache 2 License (http://www.opensource.org/licenses/apache2.0)
#   Copyright (c) Responsible Organization
#

# #
# Current developer(s):
#   Jan.Iven@cern.ch <Jan.Iven@cern.ch>
#

# 


declaration template components/nscd/schema;

include 'quattor/schema';

type component_nscd_service_type = {
    "enable-cache" ? legacy_binary_affirmation_string
    "positive-time-to-live" ? long
    "negative-time-to-live" ? long
    "suggested-size" ? long
    "check-files" ? legacy_binary_affirmation_string
    "persistent" ? legacy_binary_affirmation_string
    "shared" ? legacy_binary_affirmation_string
    "max-db-size" ? long
    "auto-propagate" ? legacy_binary_affirmation_string
};

type component_nscd_type = {
    include structure_component

    "logfile" ? string
    "debug-level" ? string
    "threads" ? long
    "max-threads" ? long
    "server-user" ? string
    "stat-user" ? string
    "reload-count" ? string
    "paranoia" ? legacy_binary_affirmation_string
    "restart-interval" ? long

    "passwd" ? component_nscd_service_type
    "group" ? component_nscd_service_type
    "hosts" ? component_nscd_service_type
    "services" ? component_nscd_service_type
    "netgroup" ? component_nscd_service_type
};

bind "/software/components/nscd" = component_nscd_type;
